## Class Quadrat

    java.lang.Object
      Figur
          Quadrat

    public class Quadrat

extends Figur

Ein Quadrat wird durch einen Punkt und die Lanege der Seite festgelegt

Version:
  1.0 (22. März 2004)
Author:
  Maerin Jaster

Field Summary
`(package private) boolean` | `gefuellt`

Constructor Summary
`Quadrat(double x1_koord, double y1_koord, double l)` Konstruktur : Erzeugt ein Rechteck mit den in der Parameterliste angegebenen Eckpunkten.

Method Summary
`void` | `loesche()` Mit dieser Methode löscht er die vorher gezeichnete Figur.
`void` | `setzeFuellFarbe(java.awt.Color c)` Hier wird die Füllfarbe festgelegt.
`void` | `setzeLinienBreite(int lb)` Hiermit wird die Linienbreite festgelegt
`void` | `setzeLinienFarbe(java.awt.Color c)` Hier wird die Linienfarbe festgelegt.
`void` | `setzePosition(double neux1, double neuy1, double neulaenge)` Mit dieser Methode wird das Quadrat kompett neu mit den gegebenen Angeben erzeugt.
`void` | `strecke(double a)` Damit wird das Quadrat vergrößert bzw. gestreckt, indem man a zu der Länge der Seiten addiert.
`void` | `verschiebe(double ix, double iy)` Mit dieser Methode wird das Quadrat verschoben.
`void` | `zeige()` Mit dieser Methode zeigt er das Quadrat mit den gegebenen Werten

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gefuellt

    boolean gefuellt

Constructor Detail

### Quadrat

    public Quadrat(double x1_koord,
                   double y1_koord,
                   double l)

  Konstruktur : Erzeugt ein Rechteck mit den in der Parameterliste angegebenen Eckpunkten. Das Rechteck wird von einem Stift verwaltet.

Method Detail

### loesche

    public void loesche()

  Mit dieser Methode löscht er die vorher gezeichnete Figur.

### setzeFuellFarbe

    public void setzeFuellFarbe(java.awt.Color c)

  Hier wird die Füllfarbe festgelegt.

### setzeLinienBreite

    public void setzeLinienBreite(int lb)

  Hiermit wird die Linienbreite festgelegt

### setzeLinienFarbe

    public void setzeLinienFarbe(java.awt.Color c)

  Hier wird die Linienfarbe festgelegt.

### setzePosition

    public void setzePosition(double neux1,
                              double neuy1,
                              double neulaenge)

  Mit dieser Methode wird das Quadrat kompett neu mit den gegebenen Angeben erzeugt.

### strecke

    public void strecke(double a)

  Damit wird das Quadrat vergrößert bzw. gestreckt, indem man a zu der Länge der Seiten addiert.

### verschiebe

    public void verschiebe(double ix,
                           double iy)

  Mit dieser Methode wird das Quadrat verschoben. Zu x1 wird ix addiert und zu y1 wird iy addiert.

### zeige

    public void zeige()

  Mit dieser Methode zeigt er das Quadrat mit den gegebenen Werten